package cn.newfeifan.mall.module.distri.controller.admin.dailyawardrecords.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;

@Schema(description = "管理后台 - 每日用户获得合赢奖记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DailyAwardRecordsPageReqVO extends PageParam {

    @Schema(description = "用户编号", example = "1755")
    private Long userId;

    @Schema(description = "奖励金额，必填")
    private Long amount;

    @Schema(description = "是否已结算，默认为未结算")
    private Boolean settled;

    @Schema(description = "日志Id", example = "16092")
    private Long logId;
}