package cn.newfeifan.mall.module.distri.controller.admin.orderitemsettlement.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 订单结算表,记录有那些订单项参与了本次结算新增/修改 Request VO")
@Data
public class OrderItemSettlementSaveReqVO {

    @Schema(description = "结算二级表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "23245")
    private Long id;

    @Schema(description = "结算表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "21223")
    @NotNull(message = "结算表ID不能为空")
    private Long tradeShopSettlementId;

    @Schema(description = "订单项ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "3405")
    @NotNull(message = "订单项ID不能为空")
    private Long tradeOrderItemId;

}