package cn.newfeifan.mall.module.distri.controller.admin.ptprofitlogdetails.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 平台利润记录详情 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PtProfitLogDetailsRespVO {

    @Schema(description = "详情编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "32357")
    @ExcelProperty("详情编号")
    private Long id;

    @Schema(description = "平台利润记录编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "19955")
    @ExcelProperty("平台利润记录编号")
    private Long distriPtProfitLogId;

    @Schema(description = "订单项编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "9530")
    @ExcelProperty("订单项编号")
    private Long orderItemId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}