ALTER TABLE trade_order_item
    ADD COLUMN `promotion_fee` INT ( 11 ) DEFAULT NULL COMMENT '推广费, 单位: 分',
    ADD COLUMN `cost_price` INT ( 11 ) DEFAULT '-1' COMMENT '成本价，单位： 分';

ALTER TABLE distri_daily_award_records
    ADD COLUMN `generate_user_id` bigint(20) DEFAULT NULL COMMENT '产生积分的用户ID，例如：下订单的用户ID';

ALTER TABLE distri_daily_bill
    ADD COLUMN `refund_price` bigint NOT NULL DEFAULT '0' COMMENT '退款金额, 单位: 分',
    ADD COLUMN `integral` bigint NOT NULL DEFAULT '0' COMMENT '积分',
    ADD COLUMN `received_integral` bigint NOT NULL DEFAULT '0' COMMENT '确收积分',
    ADD COLUMN `refund_integral` bigint NOT NULL DEFAULT '0' COMMENT '退款积分',
    ADD COLUMN `order_calc_time` date NOT NULL COMMENT '订单所属日期';

ALTER TABLE trade_order_item
    ADD COLUMN `computation_bill` bit(1) DEFAULT b'0' COMMENT '是否已经计算每日账单，已计算是1，未计算为0';

