package cn.newfeifan.mall.module.distri.controller.admin.applicationforwithdrawalchannel.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

@Schema(description = "管理后台 - 提现记录 Response VO")
@Data
@ExcelIgnoreUnannotated
@Builder
public class GZHXExcelResp {
    @Schema(description = "考试人")
    @ExcelProperty("考试人")
    private String name;

    @Schema(description = "题目总数")
    @ExcelProperty("题目总数")
    private String questionCount;

    @Schema(description = "正确题数")
    @ExcelProperty("正确题数")
    private String correctCount;

    @Schema(description = "错误题数")
    @ExcelProperty("错误题数")
    private String errorCount;

    @Schema(description = "总分数")
    @ExcelProperty("总分数")
    private String score;

    @Schema(description = "开考时间~交卷时间")
    @ExcelProperty("开考时间~交卷时间")
    private String time;

    @Schema(description = "考试结果")
    @ExcelProperty("考试结果")
    private String pass;

    @Schema(description = "学院")
    @ExcelProperty("学院")
    private String deName;

    @Schema(description = "岗位")
    @ExcelProperty("岗位")
    private String postName;

    @Schema(description = "专业")
    @ExcelProperty("专业")
    private String macName;

    @Schema(description = "班级")
    @ExcelProperty("班级")
    private String className;
}
