package cn.newfeifan.mall.module.distri.controller.admin.orderitemsettlement.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 订单结算表,记录有那些订单项参与了本次结算 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OrderItemSettlementRespVO {

    @Schema(description = "结算二级表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "23245")
    @ExcelProperty("结算二级表ID")
    private Long id;

    @Schema(description = "结算表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "21223")
    @ExcelProperty("结算表ID")
    private Long tradeShopSettlementId;

    @Schema(description = "订单项ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "3405")
    @ExcelProperty("订单项ID")
    private Long tradeOrderItemId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}