package cn.newfeifan.mall.module.distri.dal.dataobject.ptprofitlogdetails;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 平台利润记录详情 DO
 *
 * @author 非繁人
 */
@TableName("distri_pt_profit_log_details")
@KeySequence("distri_pt_profit_log_details_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PtProfitLogDetailsDO extends BaseDO {

    /**
     * 详情编号
     */
    @TableId
    private Long id;
    /**
     * 平台利润记录编号
     */
    private Long distriPtProfitLogId;
    /**
     * 订单项编号
     */
    private Long orderItemId;

}